ACOS(3)

NAME
acos, acosf - arc cosine

SYNOPSIS

#include <math.h>

double acos(double x);

float acosf(float x);

DESCRIPTION

acos computes the inverse cosine (arc cosine) of the input value. Arguments to acos must be in the range -1 to 1.

acosf is identical to acos, except that it performs its calculations on floats.

RETURNS

acos and acosf return values in radians, in the range of 0 to pi.

If x is not between -1 and 1, the returned value is NaN (not a number), and the global variable errno is set to EDOM.